Subject: [mif] Possible requirements for DRLO that Route-Option does not satisfy

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 28 Oct 2011 16:03:48 +0200

Possible requirements for DRLO that Route-Option does not satisfy:

In memory- and bandwidth-constrained environments there are strong
requirements to:
- use only one software implementation (DHCP or ND but not both); or,
   when needing to solve the MAC address, route-option relies on ND.
- avoid unnecessary chatter (avoid NS-NA); route-option requires the
   use of NS-NA in addition to DHCP, for a default route to solve its
   MAC address.
- send as little control data as possible; route-option communicates
   more data than necessary (many unneeded separation fields)
- communicate _only_ the default route and no other route; route-option
   sends too much data which necessary only in the generic route case,
   unnecessary for the default route (e.g. metrics).

Yours,

Alex